Solid Edge Assembly Type Library
Parent Property
Description
Returns the parent object for the referenced object.
Property type
Read-only property
Syntax
Visual Basic
Public Property Parent As Object
Example
Private Sub Form_Load()
    Dim objApp As SolidEdgeFrameWork.Application
    Dim objDoc As SolidEdgeAssembly.AssemblyDocument
    Dim objLayouts As SolidEdgeAssembly.Layouts
    Dim objLayoutsParent As SolidEdgeAssembly.AssemblyDocument
    ' Local variables to be declared here
    ' Create/get the application with specific settings
    On Error Resume Next
    Set objApp = GetObject(, "SolidEdge.Application")
    If Err Then
        Err.Clear
        Set objApp = CreateObject("SolidEdge.Application")
        Set objDoc = objApp.Documents.Add("SolidEdge.AssemblyDocument")
        objApp.Visible = True
    Else
        Set objDoc = objApp.ActiveDocument
    End If
    On Error GoTo 0
    'Get the Layout Collection object from the Document
    Set objLayouts = objDoc.Layouts
    'Get the Parent object from Layouts collection
    Set objLayoutsParent = objLayouts.Parent
    ' Release objects
    Set objApp = Nothing
    Set objDoc = Nothing
    Set objLayouts = Nothing
    Set objLayoutsParent = Nothing
End Sub
See Also

Layouts Collection  | Layouts Members

Send comments on this topic.